[SciPy-dev] [MAJOR BUG] latest numpy leads to scikits fail [was: installing openopt]

dmitrey dmitrey.kroshko@scipy....
Mon Sep 22 09:28:25 CDT 2008


David Cournapeau wrote:
> Matthieu Brucher wrote:
>   
>> Isn't it possible to just use the zip_safe switch ? For the moment,
>> openopt declares that it can run from a zip file, but it cannot. I may
>> be missing something though...
>>   
>>     
>
> Ah, yes, I forgot about this, this may work. I only know enough about
> setuptools to avoid using its features as much as possible, I guess.
>
> cheers,
>
> David
So I have committed some changes for *_oo.py files paths (now they are 
not generated while oo session start but when setup.py file is used) and 
changed zip_safe to False. If I have True, I have to type "python 
setup.py install" for twice (after any code changes). 1st time it yields 
"zipimport.ZipImportError: bad local file header in 
/usr/lib/python2.5/site-packages/scikits.openopt-0.19.dev-py2.5.egg", 
after 2nd time all is ok.

D.


More information about the Scipy-dev mailing list